Subject: FVWM: window resizing - How to get standard behavior?

From: Hans-Georg Beyer <[email-masked]>
Date: Fri, 19 Jul 2002 12:06:04 +0200

Hi All,

Changing to SuSE 8.0 Linux, the default resizing behavior as described 
in man fvwm2:

       Unless  the standard defaults files are modified, pressing
       mouse button 1 in the title or  side-bars  begins  a  move
       operation  on the window.  Pressing button 1 in the corner
       frame pieces begins a resize operation.  Pressing button 2

has changed, i.e.: windows are not moved when pressing mouse button 1 
in the side-bars, but resizing starts. I want to have the standard 
behavior (i.e., move the window, resizing only when in the corner 
frame pieces). How do I get this using my .fvwm2rc config file?

Please help!
Thanks in advance!

Hans-Georg

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 20 Jul 2002 03:39:32 +0000

>        frame pieces begins a resize operation.  Pressing button 2

I am not sure why it is named standard, "minimal" would be a better name.
The minimal defaults (when there is no configuration at all) are not
supposed to be fully featured or convinient, just to have move and resize.

> frame pieces). How do I get this using my .fvwm2rc config file?

The behaviour that you describe, i.e. the mouse button 1 resizes a window
anywhere on the frame is pretty standard. At least that is what I saw in
most of window manager configurations including fvwm and (tried in Xnest)
the default configurations of mwm, sawfish, enlightenment, wmaker, icewm.

I suggest you to add a window move by binding it to mouse button 2.
You may add these or similar lines to your ~/.fvwm/.fvwm2rc:

  Mouse 1  SF  A  Resize
  Mouse 2  SF  A  Move

Here is an example of some more featured window frame bindings:

  Mouse 1  SF  A  ResizeOrRaiseOrShade
  Mouse 1  T   A  MoveOrRaiseOrShade
  Mouse 2  SF  A  MoveOrRaiseLower
  Mouse 2  T   A  MoveOrRaiseLower

  AddToFunc ResizeOrRaiseOrShade
  + H  Resize
  + M  Resize
  + C  Raise
  + D  WindowShade

  AddToFunc MoveOrRaiseOrShade
  + H  Move
  + M  Move
  + C  Raise
  + D  WindowShade

  AddToFunc MoveOrRaiseLower
  + H  Move
  + M  Move
  + C  RaiseLower

Regards,
Mikhael.

---

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 23 Jul 2002 22:03:58 +0000

On 23 Jul 2002 09:18:56 +0200, Hans-Georg Beyer wrote:
> 
> Thanks for answering to my request. Given your information and 
> some sample .fvwm2rc I was now able to obtain the desired behavior.
> 
> I found that the most difficult thing in customizing fvwm's 
> mouse behavior is in the cryptic abbreviations not (or at least
> not well) explained in the fvwm2 man page ...

I think it is explained well in the man page, but I agree that it may look
strange for the users new to FVWM. The syntax of the Mouse command is
explained in the Mouse entry of the "COMMANDS FOR MOUSE, KEY AND STROKE
BINDINGS" section. And the syntax of user functions is explained in the
AddToFunc entry of the "COMMANDS FOR USER FUNCTIONS AND SHELL COMMANDS"
section.

Regards,
Mikhael.